Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(2)  |  Call(2)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/pointvector.py   rhinopython(Download)
    meshes = [rhutil.coercemesh(id, True) for id in mesh_ids]
    tolerance = scriptcontext.doc.ModelAbsoluteTolerance
    rc = Rhino.Geometry.Intersect.Intersection.ProjectPointsToMeshes(meshes, pts, direction, tolerance)
    return rc
 

src/r/h/rhinopythonscripts-HEAD/IntersectionTools.py   rhinopythonscripts(Download)
        vect = Vector3d(0.0,0.0, 1.0)
        tol = 0.001
        intResult = Rhino.Geometry.Intersect.Intersection.ProjectPointsToMeshes(meshes, pts, vect, tol)
        if len(intResult) == 1: # it hit, and just once
            out.append(intResult[0]) # add the result